<?php
class pluginLogin extends Plugin {
	
    public function init()
	{
		$this->dbFields = array(
			'label'=>'Login',
			'linktext'=>'Admin Login',
            'loggedintext'=>'You are Logged-in'
		);
	}

	public function form()
	{
		global $L;

		$html  = '<div class="alert alert-primary" role="alert">';
		$html .= $this->description();
		$html .= '</div>';

		$html .= '<div>';
		$html .= '<label>'.$L->get('Label').'</label>';
		$html .= '<input name="label" type="text" value="'.$this->getValue('label').'">';
		$html .= '<span class="tip">'.$L->get('This title is almost always used in the sidebar of the site').'</span>';
		$html .= '</div>';

        $html .= '<div>';
		$html .= '<label>'.$L->get('Link Text to Admin Logon').'</label>';
		$html .= '<input name="linktext" type="text" value="'.$this->getValue('linktext').'">';
		$html .= '<span class="tip">'.$L->get('This is the text that will appear in the sidebar of the site linking to the admin logon page.').'</span>';
		$html .= '</div>';
        
        $html .= '<div>';
		$html .= '<label>'.$L->get('Text Displayed When Logged-on').'</label>';
		$html .= '<input name="loggedintext" type="text" value="'.$this->getValue('loggedintext').'">';
		$html .= '<span class="tip">'.$L->get('This is the text that will appear in the sidebar of the site if the user is logged in.').'</span>';
		$html .= '</div>';

		return $html;
	}

	public function siteSidebar()
	{
		$ltext = $this->getValue('loggedintext');
        if($login->isLogged()){
            $ltext = $this->getValue('linktext');
        }
        
        $html  = '<div class="plugin plugin-logon">';
		$html .= '<h2 class="plugin-label">'.$this->getValue('label').'</h2>';
		$html .= '<div class="plugin-content">';
        $html .= $ltext;
 		$html .= '</div>';
 		$html .= '</div>';

		return $html;
	}    
}
